package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the anotheraccount database table.
 * 
 */
@Entity
public class AnotherAccount implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idotheracc;

	//bi-directional many-to-one association to AccountType
	@ManyToOne
	@JoinColumn(name="idacctype")
	private AccountType accounttype;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	public AnotherAccount() {
	}

	public String getIdotheracc() {
		return this.idotheracc;
	}

	public void setIdotheracc(String idotheracc) {
		this.idotheracc = idotheracc;
	}

	public AccountType getAccounttype() {
		return this.accounttype;
	}

	public void setAccounttype(AccountType accounttype) {
		this.accounttype = accounttype;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}